Bug 15054 - smbd doesn't handle UPNs for looking up names
Summary: smbd doesn't handle UPNs for looking up names
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.15.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-26 09:46 UTC by Andreas Schneider
Modified: 2022-05-02 09:48 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.15 (9.27 KB, patch)
2022-04-27 06:22 UTC, Andreas Schneider
jra: review+
gd: review+
Details
patch for 4.16 (9.27 KB, patch)
2022-04-27 06:22 UTC, Andreas Schneider
jra: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2022-04-26 09:46:55 UTC
When sssd is configured on a system to handle nsswtich, it will return UPNs for domain user lookups.

Example:
# getent passwd 'EARTH\alice'
alice@earth.milkyway.site:*:476801103:476800513:Alice One:/home/alice@earth.milkyway.site:/bin/bash

In order to handle that correctly, smbd needs to be able to deal with UPNs in lookup_name*() calls.

Patch will follow.
Comment 1 Samba QA Contact 2022-04-26 20:17:03 UTC
This bug was referenced in samba master:

756cd0eed30322ae6dbd5402ec11441387475884
2a03fb91c1120718ada9d4b8421044cb7eae7b83
2690310743920dfe20ac235c1e3617e0f421eddc
28fc44f2852046d03cada161ed1001d04d9e1554
Comment 2 Andreas Schneider 2022-04-27 06:22:07 UTC
Created attachment 17275 [details]
patch for 4.15
Comment 3 Andreas Schneider 2022-04-27 06:22:44 UTC
Created attachment 17276 [details]
patch for 4.16
Comment 4 Guenther Deschner 2022-04-27 08:35:44 UTC
Comment on attachment 17275 [details]
patch for 4.15

LGTM
Comment 5 Guenther Deschner 2022-04-27 08:35:56 UTC
Comment on attachment 17276 [details]
patch for 4.16

LGTM
Comment 6 Guenther Deschner 2022-04-27 08:36:30 UTC
Jule, please add to 4.15 and 4.16, thanks!
Comment 7 Jule Anger 2022-04-28 07:49:49 UTC
Pushed to autobuild-v4-{16,15}-test.
Comment 8 Samba QA Contact 2022-04-28 08:46:03 UTC
This bug was referenced in samba v4-15-test:

844380014582b2e034d05740aa85ad0f96b24248
f11fef0447183da7334320dece5122cc010417e4
ca282bfff2b76e8c5e3cf6ab6b050521c5bb660d
eed7de8a7e6aadc14ef3bd94ea1e1052da24ed8d
Comment 9 Samba QA Contact 2022-04-28 09:04:03 UTC
This bug was referenced in samba v4-16-test:

80d3e7d45c8b3b3402bf778070cadc3325ddc441
e6cc5f946586190a2e761fd491498c1991d4a937
944ee14c512832d1ffc3aa342d7de4592adfa52d
6cbaa31fe0a04825f1a7011d6c2ecb50c91861bf
Comment 10 Jule Anger 2022-04-28 10:23:25 UTC
Closing out bug report.

Thanks!
Comment 11 Samba QA Contact 2022-05-02 09:48:47 UTC
This bug was referenced in samba v4-16-stable (Release samba-4.16.1):

80d3e7d45c8b3b3402bf778070cadc3325ddc441
e6cc5f946586190a2e761fd491498c1991d4a937
944ee14c512832d1ffc3aa342d7de4592adfa52d
6cbaa31fe0a04825f1a7011d6c2ecb50c91861bf